[Defaults]
command.time = 20
command.buffer.time = 1
;---AI用コマンド----------------------------------------
[Command]
name = "AI00"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[Command]
name = "AI01"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0

[Command]
name = "AI02"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0

[Command]
name = "AI03"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0

[Command]
name = "AI04"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0

[Command]
name = "AI05"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0

[Command]
name = "AI06"
command = a,a,a,b,b,b,a,a,a,b,b,b,a,a,a,b,b,b
time = 0

[Command]
name = "AI07"
command = b,b,b,c,c,c,b,b,b,c,c,c,b,b,b,c,c,c
time = 0

[Command]
name = "AI08"
command = c,c,c,x,x,x,c,c,c,x,x,x,c,c,c,x,x,x
time = 0

[Command]
name = "AI09"
command = x,x,x,y,y,y,x,x,x,y,y,y,x,x,x,y,y,y
time = 0

[Command]
name = "AI10"
command = y,y,y,z,z,z,y,y,y,z,z,z,y,y,y,z,z,z
time = 0

[Command]
name = "AI11"
command = z,z,z,a,a,a,z,z,z,a,a,a,z,z,z,a,a,a
time = 0

[Command]
name = "AI12"
command = a,a,b,b,c,c,a,a,b,b,c,c,a,a,b,b,c,c
time = 0

[Command]
name = "AI13"
command = b,b,c,c,x,x,b,b,c,c,x,x,b,b,c,c,x,x
time = 0

[Command]
name = "AI14"
command = c,c,x,x,y,y,c,c,x,x,y,y,c,c,x,x,y,y
time = 0

[Command]
name = "AI15"
command = x,x,y,y,z,z,x,x,y,y,z,z,x,x,y,y,z,z
time = 0

[Command]
name = "AI16"
command = y,y,z,z,a,a,y,y,z,z,a,a,y,y,z,z,a,a
time = 0

[Command]
name = "AI17"
command = z,z,a,a,b,b,z,z,a,a,b,b,z,z,a,a,b,b
time = 0

[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a
time = 0

[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b
time = 0

[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c
time = 0

[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x
time = 0

[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y
time = 0

[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z
time = 0

[Command]
name = "AI24"
command = a,a,b,b,a,a,b,b,a,a,b,b
time = 0

[Command]
name = "AI25"
command = b,b,c,c,b,b,c,c,b,b,c,c
time = 0

[Command]
name = "AI26"
command = c,c,x,x,c,c,x,x,c,c,x,x
time = 0

[Command]
name = "AI27"
command = x,x,y,y,x,x,y,y,x,x,y,y
time = 0

[Command]
name = "AI28"
command = y,y,z,z,y,y,z,z,y,y,z,z
time = 0

[Command]
name = "AI29"
command = z,z,a,a,z,z,a,a,z,z,a,a
time = 0

[Command]
name = "AI30"
command = a,b,c,x,y,z,a,b,c,x,y,z
time = 0
;---超必殺技--------------------------------------------

[Command]
name = "Gyakuyoga"
command = ~F, D, B, a+x

[Command]
name = "Gyakuyoga"
command = ~F, D, B, b+x

[Command]
name = "Gyakuyoga"
command = ~F, D, B, a+b

[Command]
name = "Gyakuyoga"
command = ~F, D, B, z

[Command]
name = "HadoEx01"
command = ~D, DF, F, a+x

[Command]
name = "HadoEx02"
command = ~D, DF, F, b+x

[Command]
name = "HadoEx03"
command = ~D, DF, F, a+b

[Command]
name = "HadoEx03"
command = ~D, DF, F, z

[Command]
name = "TatsumakiEx01"
command = ~D, DB, B, a+x

[Command]
name = "TatsumakiEx02"
command = ~D, DB, B, b+x

[Command]
name = "TatsumakiEx03"
command = ~D, DB, B, a+b

[Command]
name = "TatsumakiEx03"
command = ~D, DB, B, z

[Command]
name = "SP01"
command = ~x, x, F, a, b
time=45

;---必殺技----------------------------------------------
[Command]
name = "Hado01"
command = ~D, DF, F, x

[Command]
name = "Hado02"
command = ~D, DF, F, a

[Command]
name = "Hado03"
command = ~D, DF, F, b

[Command]
name = "Hado03"
command = ~D, DF, F, z

[Command]
name = "Hado04"
command = ~D, DF, F, c

[Command]
name = "Hado05"
command = ~D, DF, F, y

[Command]
name = "Syoryu01"
command = ~F, D, DF, x

[Command]
name = "Syoryu02"
command = ~F, D, DF, a

[Command]
name = "Syoryu03"
command = ~F, D, DF, b

[Command]
name = "Syoryu03"
command = ~F, D, DF, z

[Command]
name = "Tatsumaki01"
command = ~D, DB, B, x

[Command]
name = "Tatsumaki02"
command = ~D, DB, B, a

[Command]
name = "Tatsumaki03"
command = ~D, DB, B, b

[Command]
name = "Tatsumaki03"
command = ~D, DB, B, z

[Command]
name = "TatsumakiEX"
command = ~D, DB, B, c


;---キー２回連続入力------------------------------------

[Command]
name = "FF"
command = F, F
time = 20

[Command]
name = "BB"
command = B, B
time = 20

;---受け身--------------------------------------------
[Command]
name = "recovery" 
command = a+x
time = 1

[Command]
name = "recovery" 
command = b+x
time = 1

[Command]
name = "recovery" 
command = a+b
time = 1

[Command]
name = "recovery" 
command = a+b+x
time = 1

[Command]
name = "recovery" 
command = z
time = 1

;---方向キー＋ボタン------------------------------------

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

;---ボタン単発------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "fwd"
command = F
time = 1

[Command]
name = "back"
command = B
time = 1

[Command]
name = "up"
command = U
time = 1

[Command]
name = "down"
command = D
time = 1

[Command]
name = "up0"
command = $U
time = 1

[Command]
name = "BMjump"
command = $D, $U
time = 15

[Command]
name = "hold_z"
command = /z

;---同時押し |---------------------------------------
[Command]
name = "a+b+x"
command = a+b+x
time = 1

[Command]
name = "a+b+x"
command = z
time = 1

[Command]
name = "D.B."
command = y+z
time = 1

;---方向キー |---------------------------------------
[Command]
name = "holdfwd"   
command = /$F
time = 1

[Command]
name = "holdback"  
command = /$B
time = 1

[Command]
name = "holdup"    
command = /$U
time = 1

[Command]
name = "holddown"  
command = /$D
time = 1

[Command]
name = "holduf" 
command = /$UF
time = 1

[Command]
name = "holdub" 
command = /$UB
time = 1

[Statedef -1]
;-----------------------------------------------------------------
[State -1, デバッグ用]
type = null
triggerall = !Ishelper
triggerall = var(58) < 12
triggerall = var(59) = 0
trigger1 = command = "D.B."
trigger1 = statetype = S
trigger1 = ctrl
var(58) = 1

[State -1, デバッグ用]
type = null
triggerall = !Ishelper
triggerall = var(58) = 12
triggerall = var(59) = 0
trigger1 = command = "D.B."
trigger1 = statetype = S
trigger1 = ctrl
var(58) = 0

[State -1]
type = null
trigger1 = command = "y"
trigger1 = command != "D.B."
trigger1 = !Ishelper
trigger1 = Numhelper(17050) = 0
trigger1 = var(58) = 1
helpertype = normal
name = "Raphael"
stateno = 17050
postype = p1
pos = 20,0
facing = 1
size.xscale = 1.3
size.yscale = 1.3
keyctrl = 0
ownpal = 1
ID = 17050
persistent=0

[State -1]
type = null
trigger1 = command = "y"
trigger1 = command != "D.B."
trigger1 = !Ishelper
trigger1 = Numhelper(17060) = 0
trigger1 = var(58) = 2
helpertype = normal
name = "Walnut"
stateno = 17060
postype = p1
pos = 20,0
facing = 1
size.xscale = 1.3
size.yscale = 1.3
keyctrl = 0
ownpal = 1
ID = 17060
persistent=0

[State -1]
type = null
trigger1 = command = "y"
trigger1 = command != "D.B."
trigger1 = !Ishelper
trigger1 = Numhelper(17030) = 0
trigger1 = var(58) = 3
helpertype = normal
name = "Cauldron"
stateno = 17030
postype = p1
pos = 20,0
facing = 1
size.xscale = 1.3
size.yscale = 1.3
keyctrl = 0
ownpal = 1
ID = 17030
persistent=0

[State -1]
type = null
trigger1 = command = "y"
trigger1 = command != "D.B."
trigger1 = !Ishelper
trigger1 = Numhelper(17000) = 0
trigger1 = var(58) = 3
helpertype = normal
name = "Canary"
stateno = 17000
postype = p1
pos = 80,0
facing = 1
size.xscale = 1.3
size.yscale = 1.3
keyctrl = 0
ownpal = 1
ID = 17000
persistent=0

[State -1]
type = null
trigger1 = command = "y"
trigger1 = command != "D.B."
trigger1 = !Ishelper
trigger1 = Numhelper(17060) = 0
trigger1 = var(58) = 11
helpertype = normal
name = "Walnut"
stateno = 17060
postype = p1
pos = 20,0
facing = 1
size.xscale = 1.3
size.yscale = 1.3
keyctrl = 0
ownpal = 1
ID = 17060
persistent=0

[State -1]
type = null
triggerall = command = "y"
triggerall = command != "D.B."
trigger1 = !Ishelper
trigger1 = Numhelper(17070) = 0
trigger1 = var(58) = 11
helpertype = normal
name = "Castille"
stateno = 17070
postype = p1
pos = 20,0
facing = 1
size.xscale = 1.3
size.yscale = 1.3
keyctrl = 0
ownpal = 1
ID = 17070
persistent=0

;---超必殺技-------------------------------------------------------------------------
[State -1, ECARLATE]
type = ChangeState
triggerall = var(1) = 1
triggerall = var(5) = 4
triggerall = var(59) <= 0
triggerall = (command = "TatsumakiEX")
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
trigger9 = stateno = 10220
trigger9 = time > 14 || movecontact
value = 22000

[State -1, SENSHI]
type = ChangeState
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = power >= 3000
TriggerAll = life <= lifemax / 5
TriggerAll = Alive
triggerall = !Ishelper
triggerall = (StateType != A) && (Ctrl)
trigger1 = (command = "Gyakuyoga")
value = 3500

[State -1, putty]
type = ChangeState
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = power >= 1000
triggerall = NumHelper(19000) < 1
triggerall = !Ishelper
triggerall = (StateType != A) && (Ctrl)
trigger1 = (command = "TatsumakiEx01")
trigger2 = (command = "TatsumakiEx02")
trigger3 = (command = "TatsumakiEx03")
value = 3000

[State -1, SP01]
type = ChangeState
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = (command = "SP01")
triggerall = power >= 2000
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
trigger9 = stateno = 10220
trigger9 = time > 14 || movecontact
trigger10 = stateno = 12200
trigger10 = time > 16 || movecontact
trigger11 = stateno = 12210
trigger11 = time > 16 || movecontact
trigger12 = stateno = 12220
trigger12 = time > 16 || movecontact
value = 14100

[State -1, syaruto]
type = ChangeState
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = (command = "HadoEx03")
triggerall = power >= 3000
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 3120

[State -1, syaruto]
type = ChangeState
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = (command = "HadoEx02")
triggerall = power >= 2000
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 3110

[State -1, syaruto]
type = ChangeState
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = (command = "HadoEx01")
triggerall = power >= 1000
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 3100

[State -1, HSRZ]
type = ChangeState
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = power >= 1000
triggerall = (command = "HadoEx01")
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
trigger9 = stateno = 10220
trigger9 = time > 14 || movecontact
trigger10 = stateno = 12200
trigger10 = time > 16 || movecontact
trigger11 = stateno = 12210
trigger11 = time > 16 || movecontact
trigger12 = stateno = 12220
trigger12 = time > 16 || movecontact
value = 13000

[State -1, HSRZ]
type = ChangeState
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = power >= 1000
triggerall = (command = "HadoEx02")
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
trigger9 = stateno = 10220
trigger9 = time > 14 || movecontact
trigger10 = stateno = 12200
trigger10 = time > 16 || movecontact
trigger11 = stateno = 12210
trigger11 = time > 16 || movecontact
trigger12 = stateno = 12220
trigger12 = time > 16 || movecontact
value = 13010

[State -1, HSRZ]
type = ChangeState
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = power >= 1000
triggerall = (command = "HadoEx03")
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
trigger9 = stateno = 10220
trigger9 = time > 14 || movecontact
trigger10 = stateno = 12200
trigger10 = time > 16 || movecontact
trigger11 = stateno = 12210
trigger11 = time > 16 || movecontact
trigger12 = stateno = 12220
trigger12 = time > 16 || movecontact
value = 13020

;---必殺技---------------------------------------------------------------------------
[State -1, Saber_Kitty01]
type = ChangeState
triggerall = (command = "Syoryu01")
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = NumHelper(1201) < 1
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 1200

[State -1, Saber_Kitty02]
type = ChangeState
triggerall = (command = "Syoryu02")
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = NumHelper(1211) < 1
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 1210

[State -1, Saber_Kitty03]
type = ChangeState
triggerall = (command = "Syoryu03")
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = NumHelper(1221) < 1
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 1220

[State -1, Syo_Ryu_Zan01]
type = ChangeState
triggerall = (command = "Syoryu01")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
value = 12100

[State -1, Syo_Ryu_ZanEx01]
type = ChangeState
triggerall = (command = "x")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = helper(11000),stateno = 12102
trigger1 = helper(11000),animelemtime(5) > 0
trigger2 = helper(11000),stateno = 12112
trigger2 = helper(11000),animelemtime(9) > 0
trigger3 = helper(11000),stateno = 12122
trigger3 = helper(11000),animelemtime(13) > 0
value = 12101

[State -1, Syo_Ryu_Zan02]
type = ChangeState
triggerall = (command = "Syoryu02")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
value = 12110

[State -1, Syo_Ryu_ZanEx02]
type = ChangeState
triggerall = (command = "a")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = helper(11000),stateno = 12102
trigger1 = helper(11000),animelemtime(5) > 0
trigger2 = helper(11000),stateno = 12112
trigger2 = helper(11000),animelemtime(9) > 0
trigger3 = helper(11000),stateno = 12122
trigger3 = helper(11000),animelemtime(13) > 0
value = 12111

[State -1, Syo_Ryu_Zan03]
type = ChangeState
triggerall = (command = "Syoryu03")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
value = 12120

[State -1, Syo_Ryu_ZanEx03]
type = ChangeState
triggerall = (command = "b")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = helper(11000),stateno = 12102
trigger1 = helper(11000),animelemtime(5) > 0
trigger2 = helper(11000),stateno = 12112
trigger2 = helper(11000),animelemtime(9) > 0
trigger3 = helper(11000),stateno = 12122
trigger3 = helper(11000),animelemtime(13) > 0
value = 12121

[State -1, Witch01]
type = ChangeState
triggerall = (command = "Hado01")
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = NumHelper(1001) < 1
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 1000

[State -1, Witch02]
type = ChangeState
triggerall = (command = "Hado02")
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = NumHelper(1001) < 1
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 1010

[State -1, Witch03]
type = ChangeState
triggerall = (command = "Hado03")
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = NumHelper(1001) < 1
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 1020

[State -1, Sui_Ryu_Ha01]
type = ChangeState
triggerall = (command = "Hado01")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
value = 12000

[State -1, Sui_Ryu_Ha02]
type = ChangeState
triggerall = (command = "Hado02")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
value = 12001

[State -1, Sui_Ryu_Ha03]
type = ChangeState
triggerall = (command = "Hado03")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
value = 12002

[State -1, Fighter01]
type = ChangeState
triggerall = (command = "Tatsumaki01")
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = NumHelper(1101) < 1
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 1100

[State -1, Fighter02]
type = ChangeState
triggerall = (command = "Tatsumaki02")
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = NumHelper(1101) < 1
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 1110

[State -1, Fighter03]
type = ChangeState
triggerall = (command = "Tatsumaki03")
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = NumHelper(1101) < 1
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
value = 1120

[State -1, Rush01]
type = ChangeState
triggerall = (command = "Tatsumaki01")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
value = 12200

[State -1, Rush02]
type = ChangeState
triggerall = (command = "Tatsumaki02")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
value = 12210

[State -1, Rush03]
type = ChangeState
triggerall = (command = "Tatsumaki03")
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = !Ishelper
trigger1 = (StateType != A) && (Ctrl)
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact
value = 12220

;---通常--------------------------------------------------------
[State -1, 回り込み]
type = ChangeState
value = 800
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = statetype != A
triggerall = command != "D.B."
triggerall = command = "a+b+x"
trigger1 = ctrl
trigger2 = stateno = 1000||stateno = 1010||stateno = 1020
trigger2 = AnimElemTime(8) > 0

[State -1, 投げ]
type = ChangeState
value = 950
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = p2bodydist X < 20

[State -1, 弱]
type = ChangeState
value = 200
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

[State -1,中]
type = ChangeState
value = 210
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

[State -1,前中]
type = ChangeState
value = 220
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 強]
type = ChangeState
value = 230
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 前強]
type = ChangeState
value = 240
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 屈弱]
type = ChangeState
value = 400
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400 && time > 10

[State -1, 屈中]
type = ChangeState
value = 410
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

[State -1, 屈強]
type = ChangeState
value = 420
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

[State -1, 屈前強]
type = ChangeState
value = 430
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

[State -1, ジャンプ小]
type = ChangeState
value = 600
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, ジャンプ中]
type = ChangeState
value = 610
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, ジャンプ強]
type = ChangeState
value = 620
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl

;スタンド攻撃-------------------------------------------------------
[State -1, 投げ]
type = ChangeState
value = 10950
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger1 = p2bodydist X < 40

[State -1, 弱]
type = ChangeState
value = 10200
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "x"
triggerall = command != "holddown"
triggerall = stateno != 10200
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 弱']
type = ChangeState
value = 10201
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = stateno = 10200
trigger1 = time > 6 || movecontact

[State -1, 中]
type = ChangeState
value = 10210
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10400
trigger4 = time > 7 || movecontact

[State -1, 強]
type = ChangeState
value = 10220
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact

[State -1, 強']
type = ChangeState
value = 10220
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = stateno = 10201
trigger1 =time > 6 || movecontact

[State -1, 前強]
type = ChangeState
value = 10230
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact
trigger8 = stateno = 10420
trigger8 = time > 20 || movecontact


[State -1, 屈弱]
type = ChangeState
value = 10400
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

[State -1, 屈中]
type = ChangeState
value = 10440
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10400
trigger4 = time > 7 || movecontact

[State -1, 屈前中]
type = ChangeState
value = 10410
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10400
trigger4 = time > 7 || movecontact

[State -1, 屈強]
type = ChangeState
value = 10420
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command != "holdfwd"
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact

[State -1, 屈前強]
type = ChangeState
value = 10430
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "holdfwd"
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 10200
trigger2 = time > 6 || movecontact
trigger3 = stateno = 10201
trigger3 = time > 6 || movecontact
trigger4 = stateno = 10210
trigger4 = time > 10 || movecontact
trigger5 = stateno = 10400
trigger5 = time > 7 || movecontact
trigger6 = stateno = 10410
trigger6 = time > 15 || movecontact
trigger7 = stateno = 10440
trigger7 = time > 12 || movecontact

[State -1, ジャンプ小]
type = ChangeState
value = 10600
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, ジャンプ中]
type = ChangeState
value = 10610
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, ジャンプ強]
type = ChangeState
value = 10620
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl

;---特殊攻撃--------------------------------------------------------
[State -1, ポイ捨て]
type = ChangeState
value = 2000
triggerall = var(58) != 0
triggerall = var(59) <= 0
triggerall = command = "Hado05"
trigger1 = statetype = S
trigger1 = ctrl

;アイテム技--------------------------------------------
[State -1, 種マシンガン地上]
type = ChangeState
value = 2400
triggerall = var(58) = 4
triggerall = var(59) <= 0
triggerall = command = "y"
triggerall = command != "D.B."
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 種マシンガン空中]
type = ChangeState
value = 2410
triggerall = var(58) = 4
triggerall = var(59) <= 0
triggerall = command = "y"
triggerall = command != "D.B."
trigger1 = statetype = A
trigger1 = ctrl

[State -1, キルレーザー]
type = ChangeState
value = 2500
triggerall = var(58) = 5
triggerall = var(59) <= 0
triggerall = command = "y"
triggerall = command != "D.B."
trigger1 = statetype = S
trigger1 = ctrl

[State -1, おいしい水]
type = ChangeState
value = 2600
triggerall = var(58) = 6
triggerall = var(59) <= 0
triggerall = command = "y"
triggerall = command != "D.B."
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 真・飛天無双剣]
type = ChangeState
value = 3200
triggerall = var(1) = 0
triggerall = var(58) = 7
triggerall = var(59) <= 0
triggerall = command = "y"
triggerall = command != "D.B."
triggerall = power >= 2000
trigger1 = ctrl

[State -1, プラズマ大昇竜撃]
type = ChangeState
value = 3300
triggerall = var(1) = 0
triggerall = var(58) = 8
triggerall = var(59) <= 0
triggerall = command = "y"
triggerall = command != "D.B."
triggerall = power >= 2000
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 天の裁き]
type = ChangeState
value = 3400
triggerall = var(1) = 0
triggerall = var(58) = 9
triggerall = var(59) <= 0
triggerall = command = "y"
triggerall = command != "D.B."
triggerall = power >= 2000
trigger1 = statetype = S
trigger1 = ctrl

[State -1, ダークエボレウス]
type = ChangeState
value = 3600
triggerall = var(1) = 0
triggerall = var(58) = 10
triggerall = var(59) <= 0
triggerall = command = "y"
triggerall = command != "D.B."
triggerall = power >= 3000
trigger1 = statetype = S
trigger1 = ctrl

[State -1, ミス日本一]
type = ChangeState
value = 4200
triggerall = var(1) = 0
triggerall = var(58) = 11
triggerall = var(59) <= 0
triggerall = command = "y"
triggerall = command != "D.B."
triggerall = power >= 5000
trigger1 = statetype = S
trigger1 = ctrl
;---システム--------------------------------------------------------
[State -1, ファントムonex]
type = ChangeState
value = 720
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "Hado04"
triggerall = ctrl && statetype = S
trigger1 = var(5) = 0
trigger1 = var(58) > 0
trigger2 = var(5) = [1,5)
trigger3 = var(6) = 1
trigger3 = var(58) = 0
trigger3 = var(5) = [0,5)

[State -1, ファントムon]
type = ChangeState
value = 700
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "c"
triggerall = ctrl
trigger1 = var(5) = 0
trigger1 = var(58) > 0
trigger2 = var(5) = [1,5)
trigger3 = var(6) = 1
trigger3 = var(58) = 0
trigger3 = var(5) = [0,5)

[State -1, ファントムon]
type = ChangeState
value = 730
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "c"
triggerall = var(5) = 0
triggerall = var(58) > 0
trigger1 = stateno = 200
trigger1 = animelemtime(3) >= 0
trigger2 = stateno = 210
trigger2 = animelemtime(3) >= 0
trigger3 = stateno = 400
trigger3 = animelemtime(3) >= 0
trigger4 = stateno = 410
trigger4 = animelemtime(3) >= 0
trigger5 = stateno = 1100
trigger5 = animelemtime(5) >= 0
trigger6 = stateno = 1110
trigger6 = animelemtime(5) >= 0
trigger7 = stateno = 1120
trigger7 = animelemtime(5) >= 0

[State -1, ファントムon]
type = ChangeState
value = 730
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "c"
triggerall = var(5) = [1,5)
trigger1 = stateno = 200
trigger1 = animelemtime(3) >= 0
trigger2 = stateno = 210
trigger2 = animelemtime(3) >= 0
trigger3 = stateno = 400
trigger3 = animelemtime(3) >= 0
trigger4 = stateno = 410
trigger4 = animelemtime(3) >= 0
trigger5 = stateno = 1100
trigger5 = animelemtime(5) >= 0
trigger6 = stateno = 1110
trigger6 = animelemtime(5) >= 0
trigger7 = stateno = 1120
trigger7 = animelemtime(5) >= 0

[State -1, ファントムon]
type = ChangeState
value = 730
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = command = "c"
triggerall = var(6) = 1
triggerall = var(58) = 0
triggerall = var(5) = [0,5)
trigger1 = stateno = 200
trigger1 = animelemtime(3) >= 0
trigger2 = stateno = 210
trigger2 = animelemtime(3) >= 0
trigger3 = stateno = 400
trigger3 = animelemtime(3) >= 0
trigger4 = stateno = 410
trigger4 = animelemtime(3) >= 0
trigger5 = stateno = 1100
trigger5 = animelemtime(5) >= 0
trigger6 = stateno = 1110
trigger6 = animelemtime(5) >= 0
trigger7 = stateno = 1120
trigger7 = animelemtime(5) >= 0


[State -1, ファントムoff]
type = ChangeState
value = 701
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = command = "c"
trigger1 = ctrl

[State -1, 良綱を拾う]
type = ChangeState
value = 750
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19200) > 0
trigger1 = helper(19200),var(0) = 1
trigger1 = ctrl

[State -1, シヴァを拾う]
type = ChangeState
value = 760
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19210) > 0
trigger1 = helper(19210),var(0) = 1
trigger1 = ctrl

[State -1, 宝剣を拾う]
type = ChangeState
value = 757
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19207) > 0
trigger1 = helper(19207),var(0) = 1
trigger1 = ctrl

[State -1, 魔神斧を拾う]
type = ChangeState
value = 758
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19208) > 0
trigger1 = helper(19208),var(0) = 1
trigger1 = ctrl

[State -1, 神杖を拾う]
type = ChangeState
value = 759
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19209) > 0
trigger1 = helper(19209),var(0) = 1
trigger1 = ctrl

[State -1, 種を拾う]
type = ChangeState
value = 754
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19204) > 0
trigger1 = helper(19204),var(0) = 1
trigger1 = ctrl

[State -1, 水晶を拾う]
type = ChangeState
value = 755
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19205) > 0
trigger1 = helper(19205),var(0) = 1
trigger1 = ctrl

[State -1, つぼを拾う]
type = ChangeState
value = 756
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19206) > 0
trigger1 = helper(19206),var(0) = 1
trigger1 = ctrl

[State -1, ナイフを拾う]
type = ChangeState
value = 751
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19201) > 0
trigger1 = helper(19201),var(0) = 1
trigger1 = ctrl

[State -1, 岩を拾う]
type = ChangeState
value = 752
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19202) > 0
trigger1 = helper(19202),var(0) = 1
trigger1 = ctrl

[State -1, 雑草を拾う]
type = ChangeState
value = 753
triggerall = var(58) = 0
triggerall = var(59) <= 0
triggerall = statetype = C
triggerall = command = "y"
trigger1 = Numhelper(19203) > 0
trigger1 = helper(19203),var(0) = 1
trigger1 = ctrl

[State -1, 挑発]
type = ChangeState
value = 850
triggerall = statetype = S
triggerall = command = "start"
triggerall = var(59) <= 0
trigger1 = command != "holdfwd"||command != "holdback"
trigger1 = ctrl
trigger2 = ctrl

;---移動---------------------------------------------------------------------------

[State -1, 走る]
type = ChangeState
value = 100
triggerall = var(59) <= 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, バックステップ]
type = ChangeState
value = 105
triggerall = var(59) <= 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 大or中ジャンプ]
type = ChangeState
value = 41
triggerall = var(59) <= 0
trigger1 = command = "BMjump"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, 空中ジャンプ]
type = ChangeState
value = 45
triggerall = var(59) <= 0
triggerall = command = "up0"
triggerall = var(1) = 1
triggerall = var(2) = 0
triggerall = var(4) = 0
triggerall = ctrl
trigger1 = stateno = 50
trigger2 = stateno = 700
trigger2 = statetype = A

[State -1, ガーキャン]
type = ChangeState
triggerall = var(1) = 0
triggerall = var(59) <= 0
triggerall = statetype != A
triggerall = stateno = [150,153]
trigger1 = command = "Syoryu01"
trigger2 = command = "Syoryu02"
trigger3 = command = "Syoryu03"
value = 1500

[State -1, ガーキャンex]
type = ChangeState
triggerall = var(1) = 1
triggerall = var(59) <= 0
triggerall = statetype != A
triggerall = stateno = [150,153]
trigger1 = command = "Syoryu01"
trigger2 = command = "Syoryu02"
trigger3 = command = "Syoryu03"
value = 1600

[State -1,アドバン]
type = Helper
triggerall = (NumHelper(900) = 0)
triggerall = (RoundState = 2) && (StateNo = [150,160]) && (Time > 1)
triggerall = var(59) <= 0
triggerall = (Alive)
trigger1 = (command = "a+b+x")
helpertype = normal
name = "sealed"
stateno = 900
postype = P1
pos = 0,0
facing = 1
keyctrl = 0
ownpal = 1
size.xscale = 1.0
size.yscale = 1.0
supermovetime = 99999
pausemovetime = 99999
ID = 900
ignorehitpause=1

;-----------------------------------------------------------------

;------------------------------------------------------------
